Setting up the WhatsApp Embedded flow
Setting up the embedded flow
<script type="text/javascript">
document.getElementById('login-btn').onclick = () =>
FB.login(response => {}, {
config_id: '{{config_id}}',
response_type: 'code',
override_default_response_type: true,
extras: {
setup: {
solutionID: {{solution_id}}
preVerifiedPhone: {
ids: ['{{preverified Id}}']
},...
}
}
});
</script>
Apply for advanced access to Meta public_profile

Getting pre-verified number ID (optional)
Retrieve a specific number details by its ID. This number is part of the workspace purchased number inventory.
Authorizations
AuthorizationstringRequired
Provide the token that is returned upon login
Path parameters
workspaceIdstring · uuidRequiredExample:
The ID for the workspace.
d386a801-ee8d-4aba-a7e4-78671bd3b11enumberIdstringRequiredExample:
The number/endpoint ID.
e40ce70f-e7e0-45c0-9d64-2fc7d0401a16Responses
200
OK
application/json
typestring · enumOptionalPossible values:
The type of the number.
numberstring · min: 1 · max: 30OptionalExample:
The phone number in E.164 format.
+14155552671countrystring · iso3166-1Optional
idstring · uuidRequired
The ID of the number.
statusstring · enumRequiredPossible values:
The status of the number.
createdAtstring · date-timeRequired
Timestamp (UTC) when the number was created.
updatedAtstring · date-time · nullableRequired
Timestamp (UTC) when the number was last updated.
activatedAtstring · date-time · nullableOptional
Timestamp (UTC) of the last time the number was activated.
deactivatedAtstring · date-time · nullableOptional
Timestamp (UTC) of the last time the number was deactivated.
deactivatesAtstring · date-time · nullableOptional
Timestamp (UTC) when the number will be deactivated.
404
Number or workspace not found
application/json
422
Invalid Status filter
application/json
get
/workspaces/{workspaceId}/numbers/{numberId}Embedded signup completion
Exchange debug token for long lived token
Install WhatsApp phone number in Bird CRMLast updated
Was this helpful?

